<!DOCTYPE html>
<html>
  <head>
    <title>Todo Lists</title>
    <style>
      table {
        width: 100%;
        border-collapse: collapse;
      }
      th,
      td {
        border: 1px solid black;
        padding: 8px;
        text-align: left;
      }
      th {
        background-color: #efc3d2;
      }
    </style>
  </head>
  <body>
    <main>
      <div>
        <h1>My Lists</h1>
        <a href="{% url 'todo_list_create' %}">Create New Todo List</a>
        <table>
          <thead>
            <tr>
              <th>Name</th>
              <th>Number of items</th>
            </tr>
          </thead>
          <tbody>
            {% for todo in todos %}
            <tr>
              <td>
                <a href="{% url 'todo_list_detail' todo.id %}"
                  >{{ todo.name }}</a
                >
              </td>
              <td>{{ todo.items.count }}</td>
            </tr>
            {% endfor %}
          </tbody>
        </table>
      </div>
    </main>
  </body>
</html>
